aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-07-30 00:10:25 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-07-30 00:12:28 +1200
commit692419ad2a7026b3fd95b2cd4df1748892b579d6 (patch)
tree038704e0ba24950dabce615b121a54810e5be90d /bin
parentAdd rule for kvlt(6) to change numbers to 666 (diff)
downloaddotfiles-692419ad2a7026b3fd95b2cd4df1748892b579d6.tar.gz
dotfiles-692419ad2a7026b3fd95b2cd4df1748892b579d6.zip
Change mkmv/mkcp from Bash funcs to sh scripts
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mkcp6
-rwxr-xr-xbin/mkmv6
2 files changed, 12 insertions, 0 deletions
diff --git a/bin/mkcp b/bin/mkcp
new file mode 100755
index 00000000..88876813
--- /dev/null
+++ b/bin/mkcp
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Copy files into created directory in one call
+[ "$#" -gt 2 ] || exit 2
+for dir ; do : ; done
+mkdir -p -- "$dir" || exit
+exec cp -R -- "$@"
diff --git a/bin/mkmv b/bin/mkmv
new file mode 100755
index 00000000..d7e65ae2
--- /dev/null
+++ b/bin/mkmv
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Move files into created directory in one call
+[ "$#" -gt 2 ] || exit 2
+for dir ; do : ; done
+mkdir -p -- "$dir" || exit
+exec mv -- "$@"